AI Sync

Voice Campaign

Update Voice Campaign

PUThttps://app.aisync.link/api/campaign/voice/{id}
Update Voice Campaign
curl --request PUT \
  --url https://app.aisync.link/api/campaign/voice/MQ== \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "title": "Morning calls",
  "ai_agents": "MQ==",
  "powerlist_id": [
    "MQ=="
  ],
  "campaign_type": "ai"
}'
{
  "data": {
    "id": "MQ==",
    "title": "Morning calls",
    "status": "pending"
  },
  "message": "Voice campaign updated successfully.",
  "success": true
}

Update Voice Campaign#

Updates a voice campaign and sets its status back to pending. The body uses the same fields as create.

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

idstringpathrequired

Base64 campaign id

titlestringbodyrequired

Campaign title

powerlist_idstring[]bodyrequired

At least one powerlist id

curl --request PUT \
  --url https://app.aisync.link/api/campaign/voice/MQ== \
  --header 'Authorization: Bearer {{bearer_token}}' \
  --header 'Content-Type: application/json' \
  --data '{
  "title": "Morning calls",
  "campaign_type": "ai",
  "powerlist_id": [
    "MQ=="
  ],
  "ai_agents": "MQ=="
}'
messagestring

Voice campaign updated successfully.